<p class='sidebar-title'> Berikut Data Pesanan anda</p>

<script>
    jQuery(document).ready(function () {
        // This button will increment the value
        $('.qtyplus').click(function (e) {
            // Stop acting like a button
            e.preventDefault();
            // Get the field name
            fieldName = $(this).attr('field');
            // Get its current value
            var currentVal = parseInt($('input[name=' + fieldName + ']').val());
            // If is not undefined
            if (!isNaN(currentVal)) {
                // Increment
                $('input[name=' + fieldName + ']').val(currentVal + 1);
            } else {
                // Otherwise put a 0 there
                $('input[name=' + fieldName + ']').val(0);
            }
        });
        // This button will decrement the value till 0
        $(".qtyminus").click(function (e) {
            // Stop acting like a button
            e.preventDefault();
            // Get the field name
            fieldName = $(this).attr('field');
            // Get its current value
            var currentVal = parseInt($('input[name=' + fieldName + ']').val());
            // If it isn't undefined or its greater than 0
            if (!isNaN(currentVal) && currentVal > 1) {
                // Decrement one
                $('input[name=' + fieldName + ']').val(currentVal - 1);
            } else {
                // Otherwise put a 0 there
                $('input[name=' + fieldName + ']').val(1);
            }
        });
    });
</script>
<style>
    #myform {
        text-align: center;
        padding: 5px;
        border: 1px dotted #ccc;
        margin: 2%;
    }
    .qty {
        width: 40px;
        height: 25px;
        text-align: center;
    }
    input.qtyplus { width:18px; height:18px;}
    input.qtyminus { width:18px; height:18px;}align-content:
</style>

<?php
if ($record->num_rows() == '0') {
    echo "<center class='callout callout-danger'><h4><i class='fa fa-bullhorn' aria-hidden='true'></i> Maaf, Keranjang belanja anda saat ini masih kosong,...</h4></center><br>
          <center><a class='btn btn-warning btn-sm' href='" . base_url() . "produk'>Klik Disini Untuk mulai Belanja!</a></center>";
} else {
    ?>
<table class="table table-hover table-condensed nowrap" style="width: 100%">
        <thead>
            <tr style="color: #fff; background: #26de81;">
                <th style="width: 43%">Nama Produk</th>
                <th>Harga</th>
                <th>Qty</th>
                <th>Berat</th>
                <th>Total</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $no = 1;
            foreach ($record->result_array() as $row) {
                $sub_total = (($row['harga_jual'] - $row['diskon']) * $row['jumlah']);
                if ($row['diskon'] != '0') {
                    $diskon = "<del style='color:red'>" . rupiah($row['harga_jual']) . "</del>";
                } else {
                    $diskon = "";
                }
                if (trim($row['gambar']) == '') {
                    $foto_produk = 'no-image.png';
                } else {
                    $foto_produk = $row['gambar'];
                }
                echo "<tr>
                    <td class='valign'>
                        <a href='" . base_url() . "produk/detail/$row[produk_seo]'>$row[nama_produk]</a>
                        <img style='width:20%' src='" . base_url() . "asset/foto_produk/$foto_produk'>
                    </td>
                    <td class='valign'>Rp " . rupiah($row['harga_jual'] - $row['diskon']) . " $diskon</td>
                    <td nowrap class='valign'>
                        <input type='button' value='-' class='qtyminus btn btn-info btn-xs' field='jumlah'>
                        <input style='width:75px' class='qty' type='text' name='jumlah' value='$row[jumlah]' autocomplete='off'>
                        <input type='button' value='+' class='qtyplus btn btn-info btn-xs' field='jumlah'>
                    </td>
                    <td class='valign'>" . ($row['berat'] * $row['jumlah']) . " Gram</td>
                    <td class='valign'>Rp " . rupiah($sub_total) . "</td>
                    <td align='center' class='valign'>
                        <a class='btn btn-danger' title='Delete' href='" . base_url() . "produk/keranjang_delete/$row[id_penjualan_detail]'>
                            <span class='fa fa-trash-o fa-2x'></span>
                        </a>
                    </td>
                </tr>";
                $no++;
            }
            $total = $this->db->query("SELECT sum((a.harga_jual*a.jumlah)-(b.diskon*a.jumlah)) as total, sum(b.berat*a.jumlah) as total_berat, catatan as catatan FROM `rb_penjualan_temp` a JOIN rb_produk b ON a.id_produk=b.id_produk where a.session='" . $this->session->idp . "'")->row_array();
            echo "<tr class='success'>
                  <td colspan='5'><b>Subtotal </b> <i class='pull-right'>(" . terbilang($total['total']) . " Rupiah)</i></td>
                  <td><b>Rp " . rupiah($total['total']) . "</b></td>
                 
                </tr>

                <tr class='success'>
                  <td colspan='5'><b>Berat</b> <i class='pull-right'>(" . terbilang($total['total_berat']) . " Gram)</i></td>
                  <td><b>$total[total_berat] Gram</b></td>
                 
                </tr>
                
                <tr class='success'>
                  <td colspan='5'><b>Catatan</b> <i class='pull-right'></i></td>
                  <td><b>$total[catatan]</b></td>
                  
                </tr>

        </tbody>
      </table>

      <a class='btn btn-success btn-sm' href='" . base_url() . "produk'>Lanjut Belanja</a>
      <a class='btn btn-primary btn-sm' href='" . base_url() . "produk/checkouts'>Selesai Belanja</a>
      <a class='btn btn-success btn-sm' type='submit' href='" . base_url() . "produk/keranjang_update'>Update Belanja</a>";

            $ket = $this->db->query("SELECT * FROM rb_keterangan")->row_array();
            echo "<hr><br>$ket[keterangan]";
        }